aboutsummaryrefslogtreecommitdiff
path: root/test/python/install_jupyterlab_from_python_image.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-11-16 00:26:26 +0300
committerGitHub <noreply@github.com>2022-11-16 00:26:26 +0300
commitf9acb6aae1e520b0b61aaac9ab4ecb00dd497451 (patch)
treeee6c4e60efa56f52b6258f40d0b663da06b690a9 /test/python/install_jupyterlab_from_python_image.sh
parenta5655189a24b04fc43f4ae9dcae0be5acf1b9ecb (diff)
Python bug fix - Add jupyterlab even if python is not installed by Feature but exists (#244)
* python fix bug * fix test * address comments * address comment
Diffstat (limited to 'test/python/install_jupyterlab_from_python_image.sh')
-rw-r--r--test/python/install_jupyterlab_from_python_image.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/python/install_jupyterlab_from_python_image.sh b/test/python/install_jupyterlab_from_python_image.sh
new file mode 100644
index 0000000..067046b
--- /dev/null
+++ b/test/python/install_jupyterlab_from_python_image.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Always run these checks as the non-root user
+user="$(whoami)"
+check "user" grep vscode <<< "$user"
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Report result
+reportResults